<template>
  <div class="exchange-program-page">
    <Content :title="page_name" :data="data" />
  </div>
</template>

<script>
import _ from "lodash";
import qs from "qs";

export default {
  async asyncData({ params, $appApi }) {
    let res = {};

    const query = qs.stringify(
      {
        // populate: ["detail"],
      },
      {
        encodeValuesOnly: true,
      }
    );

    try {
      res = await $appApi.get(`/exchange-programs/${params.id}?${query}`);
    } catch (error) {
      console.log(error);
    }

    return { data: _.get(res, "data.attributes") || {} };
  },
  data() {
    return {
      page_name: "Exchange Program",
    };
  },
  head({ $config }) {
    return {
      title: `${this.page_name} - ${this.data.title} - ${$config.title}`,
    };
  },
};
</script>

<style lang="scss" scoped></style>
